/*******************************************

████████╗███████╗███╗   ███╗██████╗ ███████╗
╚══██╔══╝██╔════╝████╗ ████║██╔══██╗██╔════╝
   ██║   █████╗  ██╔████╔██║██████╔╝███████╗
   ██║   ██╔══╝  ██║╚██╔╝██║██╔═══╝ ╚════██║
   ██║   ███████╗██║ ╚═╝ ██║██║     ███████║
   ╚═╝   ╚══════╝╚═╝     ╚═╝╚═╝     ╚══════╝

  Dans cette page sont rangées les fonctions 
  relative au temps dans le programme, elle 
  permettent d'inculre du mouvement dans les 
  effets. La valeur time augmente en continue
  tandis que la valeur inc revient à son 
  origine à intervalle régulier.
                                            
********************************************/



int savedTime = 0;
float inc = 0;
float time = 0;
float sinInc=0;
float cosInc=0;
float speed = 0;
float sinus = 0;
float cosinus = 0;



void timeControl(){

  /* cette fonction actualise les valeurs relatives au temps */
  
  float t = 0;
  
  if ( recording && !framePerFrame ) t = fps;
  else if ( !recording )             t = millis()-savedTime;
  
  time = ( time + t / 800 );
  inc  = ( inc + t / 800 * speed ) % TWO_PI;
  
  sinInc  = sin(inc*2);
  cosInc  = cos(inc*2);
  sinus   = (sinInc+1)/2;
  cosinus = (cosInc+1)/2;
  
  savedTime = millis();
  shaderSetInc();
}



void timePerFrame(){

  /* cette fonction actualise les valeurs relatives au temps */
  
  float t = fps;
  
  time = (time+t/800);
  inc = (inc+t/800*cntrlFloat[3])%TWO_PI;
  sinInc = sin(inc*2);
  cosInc = cos(inc*2);
  savedTime=millis();
  shaderSetInc();
}
