/***************************************************
  
  ███████╗██╗  ██╗██████╗  ██████╗ ██████╗ ████████╗
  ██╔════╝╚██╗██╔╝██╔══██╗██╔═══██╗██╔══██╗╚══██╔══╝
  █████╗   ╚███╔╝ ██████╔╝██║   ██║██████╔╝   ██║   
  ██╔══╝   ██╔██╗ ██╔═══╝ ██║   ██║██╔══██╗   ██║   
  ███████╗██╔╝ ██╗██║     ╚██████╔╝██║  ██║   ██║   
  ╚══════╝╚═╝  ╚═╝╚═╝      ╚═════╝ ╚═╝  ╚═╝   ╚═╝  
    
  Dans cette page sont rangées toutes les fonctions
  relatives à l'exportation d'image par le programme

****************************************************/ 
                                                  


int fps = 48;
int res = 1200;
int lastTime = 0;
int exportFrameCount = 0;
boolean recording = false;
PGraphics exportLayer;
String exportId;



void initExport(){
  
  float r = float(height) / float(width);
  int w = int(res);
  int h = int(res*r);
  
  exportLayer = createGraphics(w, h, P2D) ;
  exportId = year()+"_"+month()+"_"+day()+"_"+hour()+"_"+minute()+"_"+second();
}



void export(){
  
  /* cette fonction ordonne toutes le fonctions en charge de
  l'export */
  
  if ( recording && !framePerFrame ) {
    
    frameExport();
    exportFrameCount++;
  }
  
  if ( recording ) recordingUI();

}



void frameExport(){
  
  /* cette fonction exporte une capture de chaqueframe */
  
  String fc = "" + exportFrameCount;
  int l = 6-fc.length();
  for(int i =0 ; i < l ; i++) fc = "0"+fc;
  String name = exportId+"/"+fc+".png";
  
  if (hack) hackExport(name);
  
  else {
    
    exportLayer.beginDraw();
    exportLayer.image(postProcessingLayer, 0, 0, exportLayer.width, exportLayer.height);
    exportLayer.endDraw();
    exportLayer.save(name);
  }

}



void recordingUI() {
  
  /* cette fonction affiche à l'écran un signal permettant 
  à l'utilisateur de savoir s'il enregistre */
  
  textAlign(CENTER, CENTER);
  textSize(48);
  fill(colorPalette[1]);
  text("RECORDING", width/4, height/4);
}



void hackExport(String name){
  
  save(name);
  
}  
